Subject: Re: 23.1; vc-diff save buffer when re-diffing (or save whole fileset)

From: Kevin Ryde <[email-masked]>
Date: Wed, 31 Mar 2010 11:36:21 +1100

Chong Yidong <[email-masked]> writes:
>
> There are
> several other places in VC where vc-buffer-sync is called; could you
> check whether they need to use your `vc-buffer-sync-fileset'

Apart from vc-update which I mentioned, I can spot

    vc-register
    vc-revert
    vc-rollback

vc-revert and vc-rollback look like they could go straight to
vc-buffer-sync-fileset, but vc-register has extra trickery.

I have to confess I've never used anything more than vc-diff and
vc-next-action :-), so I'd be afraid to touch the rest.  Would you like
to start with vc-diff doing the right thing and take the rest on notice?